package thyyxxk.webserver.entity.inpatient.dismiss;

import lombok.Data;
import thyyxxk.webserver.utils.StringUtil;

import java.util.Date;

@Data
public class MedinsSettleFee {
    private String table;
    private String inpatientNo;
    private Integer admissTimes;
    private Integer ledgerSn;
    private String staffId;
    private String wardCode;
    private String deptCode;
    private String totalCost;
    private String tczf;    // 统筹支付
    private String grzhzf; // 个人账户支付
    private String dbzf;    // 大病支付
    private String xjzf;    // 现金支付
    private String hospitalPay; // 医院支付
    private String sbzf;    // 商保支付
    private String fullSelfPay; // 完全自付
    private String partSelfPay; // 部分自付
    private String yzsXjzf;
    private String yzsThbz;
    private String yzsMzjz;
    private String yzsYyjm;
    private String yzsFplx;
    private String yzsMzlx;
    private String bedNo;
    private Boolean midSetl; // 操作标志，1：出院结算，2：中间断账
    private Date zjdzDatetime;

    public Boolean getMidSetl() {
        return null != midSetl && midSetl;
    }

    public String getTable() {
        return null == table ? "zy_actpatient" : (table).trim();
    }

    public String getTczf() {
        return StringUtil.isBlank(tczf) ? "0.00" : tczf.trim();
    }

    public String getGrzhzf() {
        return StringUtil.isBlank(grzhzf) ? "0.00" : grzhzf.trim();
    }

    public String getXjzf() {
        return StringUtil.isBlank(xjzf) ? "0.00" : xjzf.trim();
    }

    public String getSbzf() {
        return StringUtil.isBlank(sbzf) ? "0.00" : sbzf.trim();
    }

    public String getHospitalPay() {
        return StringUtil.isBlank(hospitalPay) ? "0.00" : hospitalPay.trim();
    }

}
